To use the administrative features of Zarca Interactive you must use any of the following browsers: Internet Explorer 8.0+,Firefox 4.0+,Google Chrome 10.0+,Safari for 5.0+ for Windows, Safari 5.0+ or Firefox 4.0+ for Macintosh and Safari 3.0+ for iPad.